<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"

                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="pageTitleText">Calendario</ui:define>

    <ui:define name="contentPart">

        <h:form>
            <p:growl id="confirmListConGrowl" showDetail="true" sticky="false"/>
            
            <h:outputText value="Nómina -> Configuración -> Calendario" style="font-weight: bold"/>
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
             <h:outputText value="Configuración de calendario" />
            <br/><br/> 
            
            <h:panelGrid columns="1" columnClasses="centered7" cellpadding="10">
            <p:dataTable id="tblCalendario" 
                value="#{calendarioMB.listQuincenas}" 
                style=" font-size: small"
                var="calendarioTO"  
                emptyMessage="No se encontraron valores"
                rowKey="#{calendarioTO.intIdQuincena}" 
                paginator="true"
                rows="6"
                rowsPerPageTemplate="6,12,24"
                rowStyleClass="#{calendarioTO.intIdQuincena.equals(1) ? 'Red' : null}"
                paginatorPosition="bottom">
                
                <f:facet name="header">
                    Listado de Calendarios
                    <p:commandButton
                        styleClass="botonpequeno"
                        title="Agregar un nuevo calendario"
                        icon="ui-icon-plusthick"
                        style="display:inline; float:right; font-size:x-small;"
                        onclick="PF('calendarioAdd').show();" >
                    </p:commandButton>
                    

                </f:facet>                
                
                <p:column style="width:30px" headerText="Ejercicio"
                          filterMatchMode="contains"
                          filterBy="#{calendarioTO.ejercicioTO.valor}"
                          sortBy="#{calendarioTO.ejercicioTO.valor}">
                    <h:outputText value="#{calendarioTO.ejercicioTO.valor}"/>
                </p:column>

                <p:column style="width:30px" headerText="Periodo"   
                          filterBy="#{calendarioTO.intNumeroQuincena}"
                          sortBy="#{calendarioTO.intNumeroQuincena}"  >
                    <h:outputText value="#{calendarioTO.intNumeroQuincena}" title="Los periodos estan establecidos en quincenas"/>
                </p:column>

                <p:column style="width:50px" headerText="Fecha Inicial" 
                          filterMatchMode="contains"
                          sortBy="#{calendarioTO.dtFechaFin}"
                          filterBy="#{calendarioTO.dtFechaInicio}">
                    <h:outputText value="#{calendarioTO.dtFechaInicio}">
                        <f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Mexico_City"/>
                    </h:outputText>                         
                </p:column>

                <p:column style="width:40px" headerText="Fecha Final"
                          filterMatchMode="contains"
                          sortBy="#{calendarioTO.dtFechaFin}"
                          filterBy="#{calendarioTO.dtFechaFin}">
                    <h:outputText value="#{calendarioTO.dtFechaFin}">
                        <f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Mexico_City"/>
                    </h:outputText>
                </p:column>

                <p:column style="width:50px" headerText="Fecha de Pago"
                          filterMatchMode="contains"
                          sortBy="#{calendarioTO.dtFechaPago}"
                          filterBy="#{calendarioTO.dtFechaPago}">
                    <h:outputText value="#{calendarioTO.dtFechaPago}">
                        <f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Mexico_City"/>
                    </h:outputText>
                </p:column>

                <p:column style="width:60px" headerText="Fecha de Dispersión"
                          filterMatchMode="contains"
                          sortBy="#{calendarioTO.dtFechaDispercion}"
                          filterBy="#{calendarioTO.dtFechaDispercion}">
                    <h:outputText value="#{calendarioTO.dtFechaDispercion}">
                        <f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Mexico_City"/>
                    </h:outputText>
                </p:column>

                <p:column style="width:60px" headerText="Descripción">
                    <h:outputText value="#{calendarioTO.strDescripcionQuin}"/>
                </p:column>
                
                <!--p:column style="width:20px" headerText="Estatus"                           
                          sortBy="#{calendarioTO.intActivo==1 ? 'Activo' : 'Desactivo'}}"
                          filterBy="#{calendarioTO.intActivo==1 ? 'Activo' : 'Desactivo'}">                 
                    <h:outputText value="#{calendarioTO.intActivo==1 ? 'Activo' : 'Desactivo'}" />
                </p:column-->

            </p:dataTable>
            </h:panelGrid>
            <br/><br/>
            <div align="center">
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            onclick="location='#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                        </p:commandButton>         
            </div>

        </h:form>
    </ui:define>
    
    <ui:define name="outLayoutPart" >
        <ui:include src="CalendarioAdd.xhtml" />
    </ui:define>

</ui:composition>